Summary:        A voice compression format (DSP)
Name:           speexdsp
Version:        1.2.1
Release:        2%{?dist}

License:        BSD
URL:            http://www.speex.org/
Source0:        http://downloads.xiph.org/releases/speex/%{name}-%{version}.tar.gz

BuildRequires: make gcc

%description
Speex is an Open Source/Free Software patent-free audio compression
format designed for speech. The Speex Project aims to lower the barrier
of entry for voice applications by providing a free alternative to
expensive proprietary speech codecs. Moreover, Speex is well-adapted
to Internet applications and provides useful features that are not
present in most other codecs. Finally, Speex is part of the GNU Project
and is available under the revised BSD license.

%package devel
Summary: 	Development package for %{name}
Requires: 	%{name} = %{version}-%{release}

%description devel
This is the DSP package, see the speex package for the codec part.


%prep
%autosetup -p1

%build
%configure \
%ifarch aarch64
	--disable-neon \
%endif
	--disable-static

%make_build

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete



%files
%license COPYING
%doc AUTHORS TODO ChangeLog README NEWS doc/manual.pdf
%doc %{_docdir}/speexdsp/manual.pdf
%{_libdir}/libspeexdsp.so.*

%files devel
%{_includedir}/speex
%{_libdir}/pkgconfig/speexdsp.pc
%{_libdir}/libspeexdsp.so

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 kianli <kianli@tencent.com> - 1.2.1-1
- Upgrade to 1.2.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 cunshunxia <cunshunxia@tencent.com> - 1.2.0-1
- initial build
